Description

The sCnf121 test case requires among others that LPHD.PhyName.serNum and hwRev are present and not empty in the SCL file.
After a closer look at clause 6.903.5 this clause does not specify if the values are "configured" in the SCL or read via the MMS
interface.

Considering the use case that (broken) hardware can be replaced without changing the configuration it make sense that the serNum
and hwRev values are not configured in SCL and have non-empty values when read from the IED via MMS.

Proposal is to require the presence of these attributes in SCL and have non-empty values when read via MMS.

6.903.5 Logical nodes LPHD

LPHD logical nodes shall be as specified in IEC 61850-7-4:2010, 5.3.2, except that the LPHD
logical nodes shall be extended by the addition of the nameplate data objects defined in

Table 903. The value of dataNs data attributes of these extended data objects shall be

“IEC 61869-9:2016". The data attributes of these extended data objects shall be read-only.

The LPHD data object PhyNam shall conform to the DPL common data class definition in

IEC 61850-7-3:2010, 7.8.2, except that attributes PhyNam.vendor, PhyNam.model,
PhyNam.serNum, PhyNam.hwRev, PhyNam.swRev and PhyNam.d are mandatory and readonly.
For attribute PhyNam.serNum, where the manufacturing date is not implicit in the serial

number, the date of manufacture shall be included.

History

#1 - 08/16/2021 08:33 AM - Joel Greene

Agree. The attributes must be present in the type templates, but the values for these should not be in SCL.

#2 - 08/16/2021 08:45 AM - Richard Schimmel
- File Solution to redmine_3103_sCnf121.docx added

- Status changed from New to In Progress

Attached proposal. Also changed NamAuxVRtg to optional.

#3 - 08/16/2021 09:16 AM - Thierry Dufaure

| agree with the explanations and modifications from Richard in file redmine_3103_sCnf121.docx

#4 - 08/17/2021 09:11 AM - Gunnar Hilpert

Same: | agree with the explanations and modifications from Richard in file redmine_3103_sCnf121.docx

#5 - 08/24/2021 09:49 AM - Richard Schimmel
- File Solution to redmine_3103_sCnf121_20210824.docx added
- Test Case ID changed from sCnf121 to sCnf121, sSvp23

TPWG Aug24: move the MMS GetDataValues to a new conditional sSvp23 test case.

After close look in IEC 61869-9 clause 6.903.5 only PhyNam.serNum has a value requirement: For attribute PhyNam.serNum, where the
manufacturing date is not implicit in the serial number, the date of manufacture shall be included.

Therefor we can't require a non-empty value for other PhyName attributes.

#6 - 08/27/2021 07:12 AM - Richard Schimmel
- File Solution to redmine_3103_sCnf121_20210827.docx added

After closer look at part 7-3 the PhyNam attributes have certain semantics; so the attributes: model/vendor/swRev/hwRev must have a value (not "d").
Also IEC 61869-9 table 903 defines a format for the special PhyNam data objects. Tissue #1788 has been raised to clarify if these value should/shall
be in SCL. For now we added the "non-empty" value checks in sSvp23. Later on when the tissue is resolved the test procedure can be updated

again.

Compare attached file 210827.

#7 - 09/07/2021 06:17 PM - Bruce Muschlitz

- Status changed from In Progress to Closed

- Closed Reason Test Procedure Update added
- Closed Reason deleted (--Not Set---)

#8 - 06/14/2022 08:34 AM - Bruce Muschlitz

- Discuss in Upcoming Meeting changed from Yes to No

Files

Solution to redmine_3103_sCnf121.docx 106 KB 08/16/2021 Richard Schimmel

Solution to redmine_3103_sCnf121_20210824.docx 85.8 KB 08/24/2021 Richard Schimmel

Solution to redmine_3103_sCnf121_20210827.docx 181 KB 08/27/2021 Richard Schimmel
